Skip to main content
POST
Get auctions by UUIDs

Headers

x-api-key
any
required

Api key required to authenticate your request. Please reach out to monument for a key.

Example:

"monument-2230012-2312321"

Path Parameters

facilityUuid
string<uuid>
required

Body

application/json
auctionUuids
string[]
required

Array of auction UUIDs to retrieve (max 1000)

Example:

Response

Auction details retrieved successfully

auctionUuid
string<uuid>
required

Auction UUID

Example:

"123e4567-e89b-12d3-a456-426614174000"

auctionStage
enum<string>
required

Auction stage

Available options:
NOT_SCHEDULED,
SCHEDULED,
PAYMENT_PENDING,
WAITING_FOR_CLEAN_OUT,
COMPLETED,
CANCELED,
UNSOLD
Example:

"SCHEDULED"

auctionStartDate
string<date-time> | null
required

Auction start date

Example:

"2024-01-15T10:00:00.000Z"

auctionEndDate
string<date-time> | null
required

Auction end date

Example:

"2024-01-15T18:00:00.000Z"

minimumBidAmount
number | null
required

Minimum bid amount

Example:

100

winningBidAmount
number | null
required

Winning bid amount

Example:

250

buyerName
string | null
required

Buyer name

Example:

"John Doe"

buyerEmail
string | null
required

Buyer email

Example:

"buyer@example.com"

buyerPhone
string | null
required

Buyer phone

Example:

"5551234567"

auctionScheduledOnDate
string<date-time> | null
required

Date auction was scheduled

Example:

"2024-01-10T00:00:00.000Z"

auctionCompletedOnDate
string<date-time> | null
required

Date auction was completed

Example:

"2024-01-16T00:00:00.000Z"

auctionCanceledOnDate
string<date-time> | null
required

Date auction was canceled

Example:

"2024-01-14T00:00:00.000Z"

cleanOutDate
string<date-time> | null
required

Clean out date

Example:

"2024-01-20T00:00:00.000Z"

unitRentalRecordUuid
string<uuid>
required

Unit rental record UUID

Example:

"123e4567-e89b-12d3-a456-426614174000"

contentCategories
string[]
required

Content category descriptions

Example:
content
string | null
required

Contents description

Example:

"Household items and boxes"

photos
object[]
required

Auction photos

tamperTagId
string | null
required

Tamper tag ID

Example:

"TAG-12345"

requiresNotice
boolean
required

Whether the auction requires public notice

Example:

false